Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/shipments/{shipment_id}/tracking-events

List Tracking Events

Get tracking events for a shipment

GET

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
shipment_idYesNot specified
Description: Identifier for shipment.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "shipment_id": 1,
  "carrier_status": [],
  "carrier_status_code": "string",
  "location": "string",
  "description": "string",
  "event_time": "2026-01-01T00:00:00Z",
  "standard_status": [],
  "created_at": "2026-01-01T00:00:00Z"
}

Errors

500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified